#
# spec file for package perl-WebService-MusicBrainz
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-WebService-MusicBrainz
Version:        1.0.5
Release:        bp154.1.14
%define cpan_name WebService-MusicBrainz
Summary:        Web service API to MusicBrainz database
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BF/BFAIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.420000
BuildRequires:  perl(Mojolicious) >= 7.13
Requires:       perl(Mojolicious) >= 7.13
%{perl_requires}

%description
API to search the musicbrainz.org database

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
# MANUAL no testing (needs network)
#./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Wed Oct 21 2020 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 1.0.5
  see /usr/share/doc/packages/perl-WebService-MusicBrainz/Changes
  1.0.4 Friday February 16th 2018
  - Merge pull request (jwbargsten)
* Wed Mar  6 2019 Martin Wilck <mwilck@suse.com>
- updated to 1.0.4
  * Version 1.0 and future releases are not backward compatible
    with pre-1.0 releases. There's currently no package in Factory
    that requires perl(WebService::MusicBrainz), so the change
    should be no problem.
  * adapt dependencies to 1.0 release
  * spec file cleanup
* Wed Mar  9 2011 pascal.bleser@opensuse.org
- initial version (0.93)
